Porting SANE backend 1.0.21 to FreeBSD 7.2

Mark Terribile materribile at yahoo.com
Sun May 23 15:35:39 UTC 2010


Lowell,

--- On Sun, 5/23/10, Lowell Gilbert <freebsd-ports-local at be-well.ilk.org> > > Warren,
> >
> >> > sane-backends 1.0.21 showed up in ports this
> >> morning...
> >> 
> >> I'm sorry to be further trouble, but I've tried
> portupgrade
> >> and pkgdb -FU followed by portupgrade and even
> though the
> >> INDEX-7 file indicates that the sane-backend
> version is
> >> 1.0.21 I keep getting 1.0.20 downloaded.
> >
> > Here's a little more information:
> >
> > portinstall -f sane-backends-1.0.21 tells me "Found
> already installed package(s) of 'graphics/sane-backends':
> sane-backends-1.0.20_4
> >
> > portupgrade with various flags simply does nothing.
> >
> > The entry for sane-backends in INDEX-7 reads
> >
> >
> sane-backends-1.0.21|/usr/ports/graphics/sane-backends|/usr/local|API
> for access to scanners, digitals camera, frame grabbers
> etc|/usr/ports/graphics/sane-backends/pkg-descr|ports at FreeBSD.org|graphics|gettext-0.17_1
> gmake-3.81_3 jbigkit-1.6 jpeg-8_2 libiconv-1.13.1_1
> libusb-0.1.12_4 tiff-3.9.2_1|gettext-0.17_1 jbigkit-1.6
> jpeg-8_2 libiconv-1.13.1_1 libusb-0.1.12_4 tiff-3.9.2_1|http://www.sane-project.org/|||
> 
> Sounds like you need a "portsdb -uf".


I just tried it.  Same results.  Here's the result of  portinstall -f sane-backends-1.0.21  (which I interrupted after it went wrong).

[Gathering depends for graphics/sane-backends .............. done]
--->  Installing 'sane-backends-1.0.20_4' from a port (graphics/sane-backends)
--->  Building '/usr/ports/graphics/sane-backends'
===>  Cleaning for sane-backends-1.0.20_4
===>  Found saved configuration for sane-backends-1.0.20_4
===>  Extracting for sane-backends-1.0.20_4
=> MD5 Checksum mismatch for sane-backends-1.0.20.tar.gz.
=> SHA256 Checksum mismatch for sane-backends-1.0.20.tar.gz.
===>  Refetch for 1 more times files: sane-backends-1.0.20.tar.gz sane-backends-1.0.20.tar.gz 
===>  Found saved configuration for sane-backends-1.0.20_4
=> sane-backends-1.0.20.tar.gz doesn't seem to exist in /usr/ports/distfiles/.
=> Attempting to fetch from http://alioth.debian.org/frs/download.php/3026/.

^?fetch: transfer interrupted
** Command failed [exit code 2]: /usr/bin/script -qa /tmp/portinstall20100523-79910-1ktytu1-0 env make FETCH_BEFORE_ARGS=-q
** Fix the problem and try again.
** Listing the failed packages (-:ignored / *:skipped / !:failed)
	! graphics/sane-backends	(checksum mismatch)



      


More information about the freebsd-ports mailing list